Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.tags
Class PaginatorLinksTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.jaspersoft.jasperserver.war.tags.PaginatorLinksTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class PaginatorLinksTag

extends javax.servlet.jsp.tagext.TagSupport

Version:
  $Id
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)
See Also:
  Serialized Form

Nested Class Summary
`static class` | `PaginatorLinksTag.PaginatorInfo`

Field Summary
`static java.lang.String` | `DEFAULT_RENDER_JSP`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`PaginatorLinksTag()`

Method Summary
`int` | `doEndTag()`
`java.lang.String` | `getRenderJsp()`
`void` | `setRenderJsp(java.lang.String renderJsp)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_RENDER_JSP

    public static final java.lang.String DEFAULT_RENDER_JSP

See Also:
  Constant Field Values

Constructor Detail

### PaginatorLinksTag

    public PaginatorLinksTag()

Method Detail

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### getRenderJsp

    public java.lang.String getRenderJsp()

### setRenderJsp

    public void setRenderJsp(java.lang.String renderJsp)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.